diff --git a/combo/data/forms.py b/combo/data/forms.py
index a8d6336f..833ffdd5 100644
--- a/combo/data/forms.py
+++ b/combo/data/forms.py
@@ -26,7 +26,7 @@ from .models import ConfigJsonCell, LinkCell, LinkListCell, MenuCell, Page
 @cache_during_request
 def get_page_choices():
     pages = Page.get_as_reordered_flat_hierarchy(Page.objects.all())
-    return [(x.id, '%s %s' % (u'\u00a0' * x.level * 2, x.title)) for x in pages]
+    return [(x.id, '%s %s' % ('\u00a0' * x.level * 2, x.title)) for x in pages]
 
 
 class MenuCellForm(forms.ModelForm):
@@ -35,7 +35,7 @@ class MenuCellForm(forms.ModelForm):
         fields = ('depth', 'initial_level', 'root_page')
 
     def __init__(self, *args, **kwargs):
-        super(MenuCellForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.fields['root_page'].widget = forms.Select(choices=get_page_choices())
 
 
@@ -45,7 +45,7 @@ class LinkCellForm(forms.ModelForm):
         fields = ('title', 'url', 'link_page', 'anchor')
 
     def __init__(self, *args, **kwargs):
-        super(LinkCellForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.fields['link_page'].widget = forms.Select(choices=[(None, '-----')] + get_page_choices())
 
 
@@ -55,7 +55,7 @@ class LinkListCellForm(forms.ModelForm):
         fields = ['title', 'limit']
 
     def __init__(self, *args, **kwargs):
-        super(LinkListCellForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
 
 
 class ConfigJsonForm(forms.ModelForm):
@@ -71,7 +71,7 @@ class ConfigJsonForm(forms.ModelForm):
         # reset parameters in instance as the value is actually created from
         # additional fields.
         kwargs['instance'].parameters = None
-        super(ConfigJsonForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
 
         field_classes = {
             'string': forms.CharField,
diff --git a/combo/data/library.py b/combo/data/library.py
index b8caa18a..c43c985b 100644
--- a/combo/data/library.py
+++ b/combo/data/library.py
@@ -17,7 +17,7 @@
 from collections import OrderedDict
 
 
-class Library(object):
+class Library:
     """Singleton object that serves as a registry of the classes
     providing page cells."""
 
diff --git a/combo/data/management/commands/cron.py b/combo/data/management/commands/cron.py
index c13c38fd..de2c827f 100644
--- a/combo/data/management/commands/cron.py
+++ b/combo/data/management/commands/cron.py
@@ -14,7 +14,6 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from __future__ import print_function
 
 import sys
 import traceback
diff --git a/combo/data/management/commands/export_site.py b/combo/data/management/commands/export_site.py
index 14d78516..e7ac236f 100644
--- a/combo/data/management/commands/export_site.py
+++ b/combo/data/management/commands/export_site.py
@@ -45,7 +45,7 @@ class Command(BaseCommand):
             if options['output'] and options['output'] != '-':
                 try:
                     output = open(options['output'], 'wb')
-                except IOError as e:
+                except OSError as e:
                     raise CommandError(e)
                 export_site_tar(output)
                 output.close()
diff --git a/combo/data/management/commands/import_site.py b/combo/data/management/commands/import_site.py
index ffce55e6..0603277d 100644
--- a/combo/data/management/commands/import_site.py
+++ b/combo/data/management/commands/import_site.py
@@ -43,13 +43,13 @@ class Command(BaseCommand):
             else:
                 try:
                     fd = stack.enter_context(open(filename, 'rb'))
-                except IOError as e:
+                except OSError as e:
                     raise CommandError(e)
                 try:
                     tarfile.open(mode='r', fileobj=fd)
                 except tarfile.TarError as e:
                     format = 'json'
-                    fd = open(filename, 'r')
+                    fd = open(filename)
                 else:
                     format = 'tar'
                     fd = open(filename, 'rb')
diff --git a/combo/data/migrations/0001_initial.py b/combo/data/migrations/0001_initial.py
index 1a68034b..57374b61 100644
--- a/combo/data/migrations/0001_initial.py
+++ b/combo/data/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import ckeditor.fields
 from django.db import migrations, models
 
diff --git a/combo/data/migrations/0002_auto_20150217_1327.py b/combo/data/migrations/0002_auto_20150217_1327.py
index a8c60aef..7b5fde82 100644
--- a/combo/data/migrations/0002_auto_20150217_1327.py
+++ b/combo/data/migrations/0002_auto_20150217_1327.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0003_menucell.py b/combo/data/migrations/0003_menucell.py
index a110d2b1..426c8ce7 100644
--- a/combo/data/migrations/0003_menucell.py
+++ b/combo/data/migrations/0003_menucell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0004_menucell_depth.py b/combo/data/migrations/0004_menucell_depth.py
index e68d9a3a..fb92d0c6 100644
--- a/combo/data/migrations/0004_menucell_depth.py
+++ b/combo/data/migrations/0004_menucell_depth.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0005_auto_20150226_0903.py b/combo/data/migrations/0005_auto_20150226_0903.py
index d60a8467..c73dbf9c 100644
--- a/combo/data/migrations/0005_auto_20150226_0903.py
+++ b/combo/data/migrations/0005_auto_20150226_0903.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import ckeditor.fields
 from django.db import migrations, models
 
diff --git a/combo/data/migrations/0006_linkcell.py b/combo/data/migrations/0006_linkcell.py
index 3769ac43..83fc008c 100644
--- a/combo/data/migrations/0006_linkcell.py
+++ b/combo/data/migrations/0006_linkcell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0007_auto_20150529_1003.py b/combo/data/migrations/0007_auto_20150529_1003.py
index 3f34d355..a9328e58 100644
--- a/combo/data/migrations/0007_auto_20150529_1003.py
+++ b/combo/data/migrations/0007_auto_20150529_1003.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0008_auto_20150529_1504.py b/combo/data/migrations/0008_auto_20150529_1504.py
index 691cef40..f2ad0996 100644
--- a/combo/data/migrations/0008_auto_20150529_1504.py
+++ b/combo/data/migrations/0008_auto_20150529_1504.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0009_auto_20150529_2247.py b/combo/data/migrations/0009_auto_20150529_2247.py
index 7f93411b..cd8f3019 100644
--- a/combo/data/migrations/0009_auto_20150529_2247.py
+++ b/combo/data/migrations/0009_auto_20150529_2247.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0010_feedcell.py b/combo/data/migrations/0010_feedcell.py
index 93dac910..48830be6 100644
--- a/combo/data/migrations/0010_feedcell.py
+++ b/combo/data/migrations/0010_feedcell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0011_auto_20151028_1047.py b/combo/data/migrations/0011_auto_20151028_1047.py
index 4ac7fde8..fa2be9e3 100644
--- a/combo/data/migrations/0011_auto_20151028_1047.py
+++ b/combo/data/migrations/0011_auto_20151028_1047.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0012_auto_20151029_1535.py b/combo/data/migrations/0012_auto_20151029_1535.py
index d6bbf189..2fcd2a2d 100644
--- a/combo/data/migrations/0012_auto_20151029_1535.py
+++ b/combo/data/migrations/0012_auto_20151029_1535.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0013_parameterscell.py b/combo/data/migrations/0013_parameterscell.py
index 6832c68f..d7c5e2f2 100644
--- a/combo/data/migrations/0013_parameterscell.py
+++ b/combo/data/migrations/0013_parameterscell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations, models
 
diff --git a/combo/data/migrations/0014_menucell_initial_level.py b/combo/data/migrations/0014_menucell_initial_level.py
index 292f2a84..1f9b329c 100644
--- a/combo/data/migrations/0014_menucell_initial_level.py
+++ b/combo/data/migrations/0014_menucell_initial_level.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0015_feedcell_title.py b/combo/data/migrations/0015_feedcell_title.py
index 8e3cab94..6b804224 100644
--- a/combo/data/migrations/0015_feedcell_title.py
+++ b/combo/data/migrations/0015_feedcell_title.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0016_feedcell_limit.py b/combo/data/migrations/0016_feedcell_limit.py
index 9d224763..86cddbc6 100644
--- a/combo/data/migrations/0016_feedcell_limit.py
+++ b/combo/data/migrations/0016_feedcell_limit.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0017_menucell_root_page.py b/combo/data/migrations/0017_menucell_root_page.py
index af00ab6d..55bfec93 100644
--- a/combo/data/migrations/0017_menucell_root_page.py
+++ b/combo/data/migrations/0017_menucell_root_page.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0018_parentcontentcell.py b/combo/data/migrations/0018_parentcontentcell.py
index c1167905..59579594 100644
--- a/combo/data/migrations/0018_parentcontentcell.py
+++ b/combo/data/migrations/0018_parentcontentcell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0019_create_parent_cells.py b/combo/data/migrations/0019_create_parent_cells.py
index 0cf1d944..d104ebcd 100644
--- a/combo/data/migrations/0019_create_parent_cells.py
+++ b/combo/data/migrations/0019_create_parent_cells.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.conf import settings
 from django.db import migrations, models
 
diff --git a/combo/data/migrations/0020_auto_20160928_1152.py b/combo/data/migrations/0020_auto_20160928_1152.py
index 8da9b10b..6363f15e 100644
--- a/combo/data/migrations/0020_auto_20160928_1152.py
+++ b/combo/data/migrations/0020_auto_20160928_1152.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0021_jsoncell.py b/combo/data/migrations/0021_jsoncell.py
index 8a9ee194..f19c2f6e 100644
--- a/combo/data/migrations/0021_jsoncell.py
+++ b/combo/data/migrations/0021_jsoncell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import combo.data.models
diff --git a/combo/data/migrations/0022_auto_20170214_2006.py b/combo/data/migrations/0022_auto_20170214_2006.py
index eef46909..1090607b 100644
--- a/combo/data/migrations/0022_auto_20170214_2006.py
+++ b/combo/data/migrations/0022_auto_20170214_2006.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import datetime
 
 from django.db import migrations, models
diff --git a/combo/data/migrations/0023_auto_20170313_1541.py b/combo/data/migrations/0023_auto_20170313_1541.py
index c7a7f078..607b77f6 100644
--- a/combo/data/migrations/0023_auto_20170313_1541.py
+++ b/combo/data/migrations/0023_auto_20170313_1541.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0024_configjsoncell.py b/combo/data/migrations/0024_configjsoncell.py
index 330f6132..a7847d4e 100644
--- a/combo/data/migrations/0024_configjsoncell.py
+++ b/combo/data/migrations/0024_configjsoncell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations, models
 
diff --git a/combo/data/migrations/0025_jsoncell_varnames_str.py b/combo/data/migrations/0025_jsoncell_varnames_str.py
index e916e801..8daf24ee 100644
--- a/combo/data/migrations/0025_jsoncell_varnames_str.py
+++ b/combo/data/migrations/0025_jsoncell_varnames_str.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import combo.data.fields
diff --git a/combo/data/migrations/0026_jsoncell_force_async.py b/combo/data/migrations/0026_jsoncell_force_async.py
index c2868147..95560ba4 100644
--- a/combo/data/migrations/0026_jsoncell_force_async.py
+++ b/combo/data/migrations/0026_jsoncell_force_async.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0027_page_picture.py b/combo/data/migrations/0027_page_picture.py
index 18cf2d85..d79f627f 100644
--- a/combo/data/migrations/0027_page_picture.py
+++ b/combo/data/migrations/0027_page_picture.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0028_jsoncell_timeout.py b/combo/data/migrations/0028_jsoncell_timeout.py
index 6e3435d2..f0a16d3e 100644
--- a/combo/data/migrations/0028_jsoncell_timeout.py
+++ b/combo/data/migrations/0028_jsoncell_timeout.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0029_auto_20171022_1242.py b/combo/data/migrations/0029_auto_20171022_1242.py
index bcb7dd07..52920228 100644
--- a/combo/data/migrations/0029_auto_20171022_1242.py
+++ b/combo/data/migrations/0029_auto_20171022_1242.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import combo.data.models
diff --git a/combo/data/migrations/0030_externallinksearchitem.py b/combo/data/migrations/0030_externallinksearchitem.py
index ba9707ee..11108c06 100644
--- a/combo/data/migrations/0030_externallinksearchitem.py
+++ b/combo/data/migrations/0030_externallinksearchitem.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0031_remove_blurps.py b/combo/data/migrations/0031_remove_blurps.py
index d718f7ba..342537fd 100644
--- a/combo/data/migrations/0031_remove_blurps.py
+++ b/combo/data/migrations/0031_remove_blurps.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0032_page_description.py b/combo/data/migrations/0032_page_description.py
index a02cf083..7648d2d8 100644
--- a/combo/data/migrations/0032_page_description.py
+++ b/combo/data/migrations/0032_page_description.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0039_link_list_cell.py b/combo/data/migrations/0039_link_list_cell.py
index 51aa9f7b..ffc0068c 100644
--- a/combo/data/migrations/0039_link_list_cell.py
+++ b/combo/data/migrations/0039_link_list_cell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.db import migrations, models
 
diff --git a/combo/data/migrations/0041_auto_20200130_1619.py b/combo/data/migrations/0041_auto_20200130_1619.py
index 39a8d1a0..be13ca5c 100644
--- a/combo/data/migrations/0041_auto_20200130_1619.py
+++ b/combo/data/migrations/0041_auto_20200130_1619.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/data/migrations/0044_validity_info.py b/combo/data/migrations/0044_validity_info.py
index 6ee50906..d3b18506 100644
--- a/combo/data/migrations/0044_validity_info.py
+++ b/combo/data/migrations/0044_validity_info.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.db import migrations, models
 
@@ -36,6 +33,6 @@ class Migration(migrations.Migration):
         ),
         migrations.AlterUniqueTogether(
             name='validityinfo',
-            unique_together=set([('content_type', 'object_id')]),
+            unique_together={('content_type', 'object_id')},
         ),
     ]
diff --git a/combo/data/models.py b/combo/data/models.py
index cd943961..7f451561 100644
--- a/combo/data/models.py
+++ b/combo/data/models.py
@@ -134,7 +134,7 @@ def extract_context_from_sub_slug(sub_slug, sub_url):
     return context
 
 
-class Placeholder(object):
+class Placeholder:
     def __init__(
         self, key, name=None, acquired=False, optional=False, render=True, cell=None, force_synchronous=False
     ):
@@ -157,14 +157,14 @@ class PageManager(models.Manager):
 
     def __init__(self, *args, **kwargs):
         self.snapshots = kwargs.pop('snapshots', False)
-        super(PageManager, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
 
     def get_by_natural_key(self, path):
         parts = [x for x in path.strip('/').split('/') if x] or ['index']
         return self.get(slug=parts[-1])
 
     def get_queryset(self):
-        queryset = super(PageManager, self).get_queryset()
+        queryset = super().get_queryset()
         if self.snapshots:
             return queryset.filter(snapshot__isnull=False)
         else:
@@ -251,7 +251,7 @@ class Page(models.Model):
             self.slug = slug
         if not self.template_name:
             self.template_name = settings.COMBO_DEFAULT_PUBLIC_TEMPLATE
-        return super(Page, self).save(*args, **kwargs)
+        return super().save(*args, **kwargs)
 
     def get_parents_and_self(self):
         pages = [self]
@@ -477,9 +477,7 @@ class Page(models.Model):
     @classmethod
     def load_serialized_page(cls, json_page, page=None, snapshot=None, request=None):
         json_page['model'] = 'data.page'
-        json_page['fields']['groups'] = [
-            [x] for x in json_page['fields']['groups'] if isinstance(x, six.string_types)
-        ]
+        json_page['fields']['groups'] = [[x] for x in json_page['fields']['groups'] if isinstance(x, str)]
         created = None
         if page is None:
             page, created = Page.objects.get_or_create(slug=json_page['fields']['slug'], snapshot=snapshot)
@@ -501,9 +499,7 @@ class Page(models.Model):
         page.object.snapshot = snapshot
         page.save()
         for cell in json_page.get('cells'):
-            cell['fields']['groups'] = [
-                [x] for x in cell['fields']['groups'] if isinstance(x, six.string_types)
-            ]
+            cell['fields']['groups'] = [[x] for x in cell['fields']['groups'] if isinstance(x, str)]
             cell['fields']['page'] = page.object.id
 
         # if there were cells, remove them
@@ -699,7 +695,7 @@ class CellMeta(MediaDefiningClass, ModelBase):
 
 
 @python_2_unicode_compatible
-class CellBase(six.with_metaclass(CellMeta, models.Model)):
+class CellBase(models.Model, metaclass=CellMeta):
 
     page = models.ForeignKey(Page, on_delete=models.CASCADE)
     placeholder = models.CharField(max_length=20)
@@ -748,7 +744,7 @@ class CellBase(six.with_metaclass(CellMeta, models.Model)):
         label = self.get_verbose_name()
         additional_label = self.get_additional_label()
         if label and additional_label:
-            return u'%s (%s)' % (label, re.sub(r'\r?\n', u' ', force_text(additional_label)))
+            return '%s (%s)' % (label, re.sub(r'\r?\n', ' ', force_text(additional_label)))
         else:
             return force_text(label)
 
@@ -794,7 +790,7 @@ class CellBase(six.with_metaclass(CellMeta, models.Model)):
             return ''
 
         # add has-asset-<slug> for each asset found
-        css = sorted(['has-asset-{}'.format(v) for k, v in self._asset_keys.items() if k in self._assets])
+        css = sorted(f'has-asset-{v}' for k, v in self._asset_keys.items() if k in self._assets)
         # add has-any-asset if at least one asset defined
         if self._assets:
             css.append('has-any-asset')
@@ -811,7 +807,7 @@ class CellBase(six.with_metaclass(CellMeta, models.Model)):
         return self.slug
 
     def get_label_for_asset(self):
-        return _(u'%(cell_label)s on page %(page_name)s (%(page_slug)s)') % {
+        return _('%(cell_label)s on page %(page_name)s (%(page_slug)s)') % {
             'cell_label': str(self),
             'page_name': str(self.page),
             'page_slug': self.page.slug,
@@ -840,12 +836,12 @@ class CellBase(six.with_metaclass(CellMeta, models.Model)):
             if slot_template_data.get('suffix'):
                 suffix = ' (%s)' % slot_template_data['suffix']
             slot_key = self.get_asset_slot_key(slot_template_key)
-            label = u'%(prefix)s — %(label)s%(suffix)s' % {
+            label = '%(prefix)s — %(label)s%(suffix)s' % {
                 'prefix': slot_template_data['prefix'],
                 'label': self.get_label_for_asset(),
                 'suffix': suffix,
             }
-            short_label = u'%(prefix)s%(suffix)s' % {'prefix': slot_template_data['prefix'], 'suffix': suffix}
+            short_label = '%(prefix)s%(suffix)s' % {'prefix': slot_template_data['prefix'], 'suffix': suffix}
             slots[slot_key] = {
                 'label': label,
                 'short_label': short_label,
@@ -1237,12 +1233,12 @@ class TextCell(CellBase):
 
     @classmethod
     def get_cell_types(cls):
-        d = super(TextCell, cls).get_cell_types()
+        d = super().get_cell_types()
         d[0]['order'] = -1
         return d
 
     def get_cell_extra_context(self, context):
-        extra_context = super(TextCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         text = self.text or ''
         force_absolute_url = context.get('force_absolute_url') or context.get('render_skeleton')
 
@@ -1346,7 +1342,7 @@ class MenuCell(CellBase):
     def get_cell_extra_context(self, context):
         from combo.public.menu import render_menu
 
-        ctx = super(MenuCell, self).get_cell_extra_context(context)
+        ctx = super().get_cell_extra_context(context)
         ctx['menu'] = render_menu(
             context,
             level=self.initial_level,
@@ -1389,9 +1385,9 @@ class LinkCell(CellBase):
     def save(self, *args, **kwargs):
         if 'update_fields' in kwargs:
             # don't check validity
-            return super(LinkCell, self).save(*args, **kwargs)
+            return super().save(*args, **kwargs)
 
-        result = super(LinkCell, self).save(*args, **kwargs)
+        result = super().save(*args, **kwargs)
         # check validity
         self.check_validity()
         return result
@@ -1429,7 +1425,7 @@ class LinkCell(CellBase):
     def get_cell_extra_context(self, context):
         force_absolute_url = context.get('force_absolute_url') or context.get('render_skeleton')
         request = context.get('request')
-        extra_context = super(LinkCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         if self.link_page:
             extra_context['title'] = self.title or self.link_page.title
             extra_context['description'] = self.link_page.description
@@ -1523,7 +1519,7 @@ class LinkListCell(CellBase):
         return utils.ellipsize(title)
 
     def get_cell_extra_context(self, context):
-        extra_context = super(LinkListCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         links = []
         for cell in context.get('page_cells', []):
             if not hasattr(cell, 'add_as_link_label'):
@@ -1604,7 +1600,7 @@ class FeedCell(CellBase):
         verbose_name = _('RSS/Atom Feed')
 
     def is_visible(self, **kwargs):
-        return bool(self.url) and super(FeedCell, self).is_visible(**kwargs)
+        return bool(self.url) and super().is_visible(**kwargs)
 
     def save(self, *args, **kwargs):
         result = super().save(*args, **kwargs)
@@ -1615,7 +1611,7 @@ class FeedCell(CellBase):
         return result
 
     def get_cell_extra_context(self, context):
-        extra_context = super(FeedCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
 
         if not self.url:
             self.mark_as_invalid('data_url_not_defined')
@@ -1657,7 +1653,7 @@ class FeedCell(CellBase):
         feed_content = cache.get(cache_key)
         if not context.get('synchronous') and feed_content is None:
             raise NothingInCacheException()
-        return super(FeedCell, self).render(context)
+        return super().render(context)
 
 
 @register_cell_class
@@ -1741,7 +1737,7 @@ class JsonCellBase(CellBase):
         return result
 
     def is_visible(self, **kwargs):
-        return bool(self.url) and super(JsonCellBase, self).is_visible(**kwargs)
+        return bool(self.url) and super().is_visible(**kwargs)
 
     def is_user_dependant(self, context=None):
         urls = [self.url] + [x['url'] for x in self.additional_data or []]
@@ -1754,7 +1750,7 @@ class JsonCellBase(CellBase):
         return {}
 
     def get_cell_extra_context(self, context, invalidate_cache=False):
-        extra_context = super(JsonCellBase, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         if context.get('placeholder_search_mode'):
             # don't call webservices when we're just looking for placeholders
             return extra_context
@@ -1813,9 +1809,9 @@ class JsonCellBase(CellBase):
                 extra_context[data_key + '_exception'] = e
                 logger = logging.getLogger(__name__)
                 if log_errors:
-                    logger.warning(u'error on request %r: %s', url, force_text(e))
+                    logger.warning('error on request %r: %s', url, force_text(e))
                 else:
-                    logger.debug(u'error on request %r: %s', url, force_text(e))
+                    logger.debug('error on request %r: %s', url, force_text(e))
                 continue
             extra_context[data_key + '_status'] = json_response.status_code
             if json_response.status_code // 100 == 2:
@@ -1847,7 +1843,7 @@ class JsonCellBase(CellBase):
                     # ignore returns of url with more than one variable
                     continue
                 returns.append(extra_context.get(data_url['key'] + '_status'))
-            returns = set([s for s in returns if s is not None])
+            returns = {s for s in returns if s is not None}
             if returns and 200 not in returns:  # not a single valid answer
                 if 404 in returns:
                     self.mark_as_invalid('data_url_not_found')
@@ -1955,7 +1951,7 @@ class JsonCellBase(CellBase):
             tmpl = engines['django'].from_string(self.template_string)
             context.update(self.get_cell_extra_context(context))
             return tmpl.render(context, context.get('request'))
-        return super(JsonCellBase, self).render(context)
+        return super().render(context)
 
 
 @register_cell_class
@@ -1989,7 +1985,7 @@ class JsonCell(JsonCellBase):
 
 class ConfigJsonCellManager(models.Manager):
     def get_queryset(self):
-        queryset = super(ConfigJsonCellManager, self).get_queryset()
+        queryset = super().get_queryset()
         return queryset.filter(key__in=settings.JSON_CELL_TYPES.keys())
 
 
@@ -2026,7 +2022,7 @@ class ConfigJsonCell(JsonCellBase):
 
     @property
     def css_class_names(self):
-        return super(ConfigJsonCell, self).css_class_names + ' ' + self.key
+        return super().css_class_names + ' ' + self.key
 
     @property
     def ajax_refresh(self):
diff --git a/combo/data/utils.py b/combo/data/utils.py
index cca3a8a1..2ee6aa99 100644
--- a/combo/data/utils.py
+++ b/combo/data/utils.py
@@ -94,15 +94,15 @@ def import_site(data, if_empty=False, clean=False, request=None):
     groups = set()
     for page in data.get('pages') or []:
         for group in page['fields']['groups']:
-            groups.add(group if isinstance(group, six.string_types) else group[0])
+            groups.add(group if isinstance(group, str) else group[0])
         for cell in page['cells']:
             for group in cell['fields']['groups']:
-                groups.add(group if isinstance(group, six.string_types) else group[0])
+                groups.add(group if isinstance(group, str) else group[0])
 
-    existing_groups = set([x.name for x in Group.objects.filter(name__in=groups)])
+    existing_groups = {x.name for x in Group.objects.filter(name__in=groups)}
     missing_groups = groups - existing_groups
     if missing_groups:
-        raise MissingGroups(names=sorted([x for x in missing_groups]))
+        raise MissingGroups(names=sorted(x for x in missing_groups))
 
     with transaction.atomic():
         if clean:
diff --git a/combo/manager/fields.py b/combo/manager/fields.py
index 98340021..c11e38b9 100644
--- a/combo/manager/fields.py
+++ b/combo/manager/fields.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # combo - content management system
 # Copyright (C) 2015-2019  Entr'ouvert
@@ -37,4 +36,4 @@ class ImageIncludingSvgField(forms.ImageField):
         if data.name and data.name.endswith('.svg'):
             # bypass image field Pillow check
             return super(forms.ImageField, self).to_python(data)
-        return super(ImageIncludingSvgField, self).to_python(data)
+        return super().to_python(data)
